Package it.ernytech.tdlib

## Class TdApi.ReplyMarkupShowKeyboard

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ReplyMarkup
    - - it.ernytech.tdlib.TdApi.ReplyMarkupShowKeyboard

Enclosing class:
  TdApi

    public static class TdApi.ReplyMarkupShowKeyboard
    extends TdApi.ReplyMarkup

Contains a custom keyboard layout to quickly reply to bots.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isPersonal` True, if the keyboard must automatically be shown to the current user.
`boolean` `oneTime` True, if the client needs to hide the keyboard after use.
`boolean` `resizeKeyboard` True, if the client needs to resize the keyboard vertically.
`TdApi.KeyboardButton[][]` `rows` A list of rows of bot keyboard buttons.

### Constructor Summary

Constructors
`ReplyMarkupShowKeyboard()` Default constructor.
`ReplyMarkupShowKeyboard​(TdApi.KeyboardButton[][] rows, boolean resizeKeyboard, boolean oneTime, boolean isPersonal)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### rows

    public TdApi.KeyboardButton[][] rows

A list of rows of bot keyboard buttons.

#### resizeKeyboard

    public boolean resizeKeyboard

True, if the client needs to resize the keyboard vertically.

#### oneTime

    public boolean oneTime

True, if the client needs to hide the keyboard after use.

#### isPersonal

    public boolean isPersonal

True, if the keyboard must automatically be shown to the current user. For outgoing messages, specify true to show the keyboard only for the mentioned users and for the target user of a reply.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ReplyMarkupShowKeyboard

    public ReplyMarkupShowKeyboard()

Default constructor.

#### ReplyMarkupShowKeyboard

    public ReplyMarkupShowKeyboard​(TdApi.KeyboardButton[][] rows,
                                   boolean resizeKeyboard,
                                   boolean oneTime,
                                   boolean isPersonal)

Constructor for initialization of all fields.

Parameters:
  `rows` - A list of rows of bot keyboard buttons.
  `resizeKeyboard` - True, if the client needs to resize the keyboard vertically.
  `oneTime` - True, if the client needs to hide the keyboard after use.
  `isPersonal` - True, if the keyboard must automatically be shown to the current user. For outgoing messages, specify true to show the keyboard only for the mentioned users and for the target user of a reply.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR